<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" type="text/css" href="./pyssla_generation_styles.css">
    <title>PYSSLA Generator</title>
</head>
<body>

    <script src="./pyssla_generation_js.js"></script>
    
    <div id="contenant">

        <h4>Mon générateur de Pyssla : veuillez indiquer la taille de votre zone de dessin</h4>
        <label>Hauteur :</label>
        <input id="hauteur" type="number" placeholder="Votre hauteur (max 50 cases)" max="50"/>	
        <label>Largeur :</label>
        <input id="largeur" type="number" placeholder="Votre largeur (max 50 cases)" max="50"/>	
        <button onclick="Tableau()" class="gestion"> Générer</button>
        <button onclick="Effacer()" class="gestion"> Effacer la grille</button>
    
    </div>

    <br> 

    <button onclick="takeColor()" class="b1"></button>
    <button onclick="takeColor()" class="b2"></button>
    <button onclick="takeColor()" class="b3"></button>
    <button onclick="takeColor()" class="b4"></button>
    <button onclick="takeColor()" class="b5"></button>
    <br>
    <button onclick="takeColor()" class="b6"></button>
    <button onclick="takeColor()" class="b7"></button>
    <button onclick="takeColor()" class="b8"></button>
    <button onclick="takeColor()" class="b9"></button>
    <button onclick="takeColor()" class="b10"></button>

    <div id="zoneColor">

        <p>Couleur choisie :</p>
        <div id="color"></div>

    </div>

    <button onclick="takeColor()" class="gomme"></button>
    <button onclick="reset()" class="reset">Vider Grille</button>
    
</body>
</html>